apiVersion: redhatcop.redhat.io/v1alpha1
kind: QuayEcosystem
metadata:
  name: demoredis3-quayecosystem
spec:
  redis:
    credentialsSecretName: redissecret
    image: docker.io/redis
    resources:
      requests:
        memory: "1024Mi"
        cpu: "500m"
      limits:
        memory: "2048Mi"
        cpu: "500m"
  quay:
    imagePullSecretName: redhat-pull-secret
    image: quay.io/quay/quay:v3.3.0-3
    configSecretName: configuser
    keepConfigDeployment: false
    registryStorage:
      persistentVolumeAccessModes:
      - ReadWriteOnce
      persistentVolumeSize: 60Gi
    enableRepoMirroring: true
    replicas: 2
    SuperuserCredentialsSecretName: superuser
    database:
      volumeSize: 30Gi
      credentialsSecretName: dbsecret
      resources:
        requests:
          memory: "2048Mi"
          cpu: "500m"
        limits:
          memory: "4096Mi"
          cpu: "1000m"
    envVars:
      - name: DEBUGLOG
        value: "true"
  clair:
    enabled: true
    image: quay.io/quay/clair-jwt:v3.3.0-1
    imagePullSecretName: redhat-pull-secret
    updateInterval: "60m"
